Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.web.rest.transform
[Groovy] Class LinkableTransform

    java.lang.Object
      org.grails.plugins.web.rest.transform.LinkableTransform

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @groovy.transform.CompileStatic
    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class LinkableTransform
    extends java.lang.Object

Implementation of the Linkable transform

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `LINKS_METHOD`
`static java.lang.String` | `LINK_METHOD`
`static java.lang.String` | `RESOURCE_LINKS_FIELD`

Method Summary
`static void` | `addLinkingMethods(org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LINKS_METHOD

    public static final java.lang.String LINKS_METHOD

### LINK_METHOD

    public static final java.lang.String LINK_METHOD

### RESOURCE_LINKS_FIELD

    public static final java.lang.String RESOURCE_LINKS_FIELD

Method Detail

### addLinkingMethods

    static void addLinkingMethods(org.codehaus.groovy.ast.ClassNode classNode)

### visit

    @java.lang.Override
    void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation